package net.jieyuu.service;

import net.jieyuu.enums.ProductOrderPayTypeEnum;
import net.jieyuu.model.OrderMessage;
import net.jieyuu.model.ProductOrderDO;
import com.baomidou.mybatisplus.extension.service.IService;
import net.jieyuu.request.ConfirmOrderRequest;
import net.jieyuu.request.RepayOrderRequest;
import net.jieyuu.utils.JsonData;

import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jieyuu
 * @since 2024-08-17
 */
public interface ProductOrderService extends IService<ProductOrderDO> {

    /**
     * 创建订单
     *
     * @param orderRequest
     * @return
     */
    JsonData confirmOrder(ConfirmOrderRequest orderRequest);

    /**
     * 查询订单状态
     *
     * @param outTradeNo
     * @return
     */
    String queryProductOrderState(String outTradeNo);

    /**
     * 队列监听定时关单接口
     *
     * @param orderMessage
     */
    boolean closeProductOrder(OrderMessage orderMessage);

    /**
     * 支付结果回调通知
     *
     * @param productOrderPayTypeEnum
     * @param paramsMap
     * @return
     */
    JsonData handlerOrderCallbackMsg(ProductOrderPayTypeEnum productOrderPayTypeEnum, Map<String, String> paramsMap);

    /**
     * 分页查询订单列表
     * @param page
     * @param size
     * @param state
     * @return
     */
    Map<String, Object> page(int page, int size,String state);


    /**
     * 二次支付接口
     * @param repayOrderRequest
     * @return
     */
    JsonData repay(RepayOrderRequest repayOrderRequest);
}
